
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>系统理解Win32 API和MFC(下) / iVAN</title>

    <meta name="description" content="系统理解Win32 API和MFC(下) 二.MFC的概念模型 前面我们研究了WIN32 API的&quot;领域模型&quot;,对它有较全面的认识.下面,对MFC概念模型的研究,我们把重点放在对app framework的研究上. app framework中的message响应/传递机制是最重要的.而Hook机制和Message响应/传递机制是密切相关的,后者以前者为基础. 1. Hook机制 也许有些程序员只知道hook机制可以编写很&quot;牛&quot;的应用,孰不知MFC本身也是依靠hook机制的. 从图中看到,每个ho ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">系统理解Win32 API和MFC(下)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>二、MFC的概念模型</p>
<p>前面我们研究了WIN32 API的“领域模型”，对它有较全面的认识。下面，对MFC概念模型的研究，我们把重点放在对app framework的研究上。</p>
<p>app framework中的message响应/传递机制是最重要的。而Hook机制和Message响应/传递机制是密切相关的，后者以前者为基础。</p>
<p>1. Hook机制</p>
<p>也许有些程序员只知道hook机制可以编写很“牛”的应用，孰不知MFC本身也是依靠hook机制的。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDExVTFGOTMtMC5naWY=.jpg"><br />从图中看到，每个hook拥有一个指针队列，每个指针指向一个称为的HookProc函数，HookProc将在合适的时机被OS调用执行。hook是分不同种类的，其实正是hook的种类决定了它什么时机被OS调用执行。提示，可以看一下“订阅-发布”设计模式以助理解。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:29:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mfc/" title="mfc">mfc</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e9%92%88/" title="指针">指针</a>, <a href="https://www.iamivan.net/tag/%e6%9c%ba%e5%88%b6/" title="机制">机制</a>, <a href="https://www.iamivan.net/tag/%e7%a0%94%e7%a9%b6/" title="研究">研究</a>, <a href="https://www.iamivan.net/tag/hook/" title="hook">hook</a>, <a href="https://www.iamivan.net/tag/%e9%a2%86%e5%9f%9f%e6%a8%a1%e5%9e%8b/" title="领域模型">领域模型</a>, <a href="https://www.iamivan.net/tag/mfc-%e5%af%b9%e8%af%9d%e6%a1%86-%e4%bc%a0%e9%80%92-%e6%8c%87%e9%92%88/" title="mfc 对话框 传递 指针">mfc 对话框 传递 指针</a>, <a href="https://www.iamivan.net/tag/win32mfc/" title="win32mfc">win32mfc</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>系统理解Win32 API和MFC(下)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKqBVp.html" rel="bookmark">系统理解Win32 API和MFC&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Win32 API是微软的操作系统Windows提供给开发人员的编程接口,它决定了我们开发的Windows应用程序的能力.MFC是微软为开发人员提供的类库,在某种意义上是对Win32 API的封装.本文试图从全局角度对Win32 API和MFC进行理解──给出二者的概念模型. 本文使用UML描述概念模型.Win32 API本不是面向对象的,我用面向对象的观点去理解它,无非是想表达其全局. 本文参考了MSDN.相关书籍和网上的一些资料,在此一并感谢. 一.Win32 API的概念模型 Win32			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAayy3M.html" rel="bookmark">介绍一个Win32 API串口控制MFC打包类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				支持环境:Windows 9x.Windows ME.Windows NT.Windows2000 简介:这是一个Win32 API的打包类,对处理串口的Win32 API类进行了封装,借助这个类可以很方便地对串口进行操作. 特性: C++接口简洁易用 使用C++异常时,首选 Win32 常规的返回值机制.保证使用CSerialPort的代码更加健壮. 支持UNICODE,支持MFC静态链接并且所有代码都在 warning level 4 级别上进行洁净编译. 支持串口模块使用重叠.阻塞和回调(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8AA19z.html" rel="bookmark">winform-在C&num; Winform项目 利用WIN32 API 无法再次调用第三方的应用系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在C# Winform项目 利用WIN32 API 无法再次调用第三方的应用系统 在C# Winform项目,from窗体中有一个Panel控件和一个Button控件. 目前已经能够利用WIN32 API 找到&quot;监控系统&quot;窗口的句柄,并将那个获取到的窗口&quot;附加&quot;到了Panel控件上. 并能够正常在Panel控件中显示&quot;监控系统&quot;. 请问下,怎么样实现form窗体关闭后,再次再点击Button控件能够再次获取到&quot;监控系统&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKo73M.html" rel="bookmark">&period;NET Compact Framework下Win32 API P&sol;Invoke的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于CF是一个精简(Compact)的.NET Framework,因此在开发CF应用时有一部分功能MS并没有在CF中实现,需要直接调用Win32的API来实现.由于Win32的API是面向native代码的,一般会提供一个DLL库以及相应header文件.使用C++是十分容易和简单调用这些API,但是使用C# .NET就没那么幸运了.C#调用Win32的API往往要借助于P/Invoke的帮助,下面讲述一下P/Invoke 的使用. API的引入 调用Win32的API需要引入相应的DLL,W			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjWDrM.html" rel="bookmark">c&plus;&plus;-关于win32 api中宏定义有一处不理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于win32 api中宏定义有一处不理解 #define KEYDOWN(vk_code) ((GetAsyncKeyState(vk_code) &amp; 0x8000) ? 1 : 0) 这段代码我知道:宏定义,用KEYDOWN(vk_code)替代((GetAsyncKeyState(vk_code) &amp; 0x8000) ? 1 : 0) 但是不可思议的来了,它直接这样写: KEYDOWN(VK_UP) 我可以理解这是什么意思,就是说((GetAsyncKeyState(VK_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX02L5p.html" rel="bookmark">qt下调用win32 api 对串口编程，怎么弄？主要是怎么调用api</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 qt下调用win32 api 对串口编程,怎么弄?主要是怎么调用api 解决方案 解决方案二: 我用MessageBox测试,出了问题.添加了lib文件,把dll文件放在工程文件夹下了,也还是不行 解决方案三: 我用MessageBox测试,出了问题.添加了lib文件,把dll文件放在工程文件夹下了,也还是不行 解决方案四: user32.lib和kernel32.lib是Windows的标准库,可以直接链接,是不是..libs目录下的库文件与你开发机的Windows版本不一致?去掉&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnj9Kp.html" rel="bookmark">dotNET C&num; Programmer&rsquo;s Guide to the Win32 API &lpar;Win</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				dotNET C# Programmer's Guide to the Win32 API (Win32 API 声明C#版) 小气的神 2001.09.07 噢,对不起我用了这个标题,事实上如果我能做到10%,我就很高兴了.因为我的桌上正放着一本Dan Appleman的书,它曾伴随我许多年,也许你也有一本:1215页,蓝色书皮,机械工业出版社.英文名叫:&lt; Dan Appleman's Visual Basic 5.0 Programmer's Guide to the Win32 API			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPqmvz.html" rel="bookmark">如何在C&num;中使用Win32 API和其他库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C# 用户经常提出两个问题:&quot;我为什么要另外编写代码来使用内置于 Windows 中的功能?在框架中为什么没有相应的内容可以为我完成这一任务?&quot;当框架小组构建他们的 .NET 部分时,他们评估了为使 .NET 程序员可以使用 Win32 而需要完成的工作,结果发现 Win32 API 集非常庞大.他们没有足够的资源为所有 Win32 API 编写托管接口.加以测试并编写文档,因此只能优先处理最重要的部分.许多常用操作都有托管接口,但是还有许多完整的 Win32 部分没有托管接口. 平台			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvQZab.html" rel="bookmark">用Win32 API实现串行通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				串口是常用的计算机与外部串行设备之间的数据传输通道,由于串行通信方便易行,所以应用广泛.我们可以利用Windows API 提供的通信函数编写出高可移植性的串行通信程序. 在Win16中,可以利用OpenComm.CloseComm和WriteComm等函数打开.关闭和读写串口.但在Win32中,串口和其他通信设备均被作为文件处理,串口的打开.关闭和读写等操作所用的API函数与操作文件的函数相同.可通过CreateFile函数打开串口,通过CloseFile函数关闭串口,通过CommProp.D			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgLyEp.html" rel="bookmark" class="title">按照比例改变图片大小&lpar;非生成缩略图&rpar;</a>
					<div>
						  &lt;? /**      按照比例改变图片大小(非生成缩略图)      @param string $img 图片路径      @param int $max_w 最大缩放宽      @ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWqGEz.html" rel="bookmark" class="title">一个用session传递对象的典型例子&comma;和用面向对象编程的朋友共同分享（转自CSDN）</a>
					<div>
						session|编程|对象 首先,你的session要好使,PHP4.1以上的版本别忘了把php.ini中的register_globle=Off设成register_globle=On,还有就是se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBVWAb.html" rel="bookmark" class="title">问题解决&colon;如何让网页中的Flash影片全屏？</a>
					<div>
						解决|网页|问题 Flash Player 9在网上流行了很长一段时间了.在以往版本的 Flash Player 当中要想实现网页中Flash影片全屏就必须借助 Javascrīpt 来实现.但对于  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr4Lmz.html" rel="bookmark" class="title">创建JSP文件和ActionFor</a>
					<div>
						js|创建 本例中,视图包括两个组件:    ·一个JSP文件:hello.jsp    ·一个ActionForm Bean: HelloForm Bean    下面分别讲述如何创建这两个组件.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ91qp.html" rel="bookmark" class="title">不离开页面刷新数据</a>
					<div>
						开门见山,不离开页面就能刷新页面中的(部分)数据好处多多.主要是不需要写无聊代码维护 state. ASP.NET (以及其雏形 VI6 SOM)中的 server-side control (VI6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2XLZp.html" rel="bookmark" class="title">百度优化不能触碰的几个底线</a>
					<div>
						现在优化百度搜索引擎可谓是越来越麻烦越来越复杂了,有不少站长每天为了SEO优化在伤脑筋,但是老站长对于百度还是比较了解所以优化起来都很轻松,新手站长的优化之路就不会那么好走了所以今天来和各位站长一起聊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo62xBz.html" rel="bookmark" class="title">关于&period;net Socket支持在线连接数量</a>
					<div>
						发现不少同学在用.NET做通讯的时候都关心一个问题,.NET能支持多少个在线连接.其实.net的通讯由winsocket所支持,既然由低层的winsocket所支持那.NET其端的接入连接数的受限完全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ydXQz.html" rel="bookmark" class="title">MathType手写面板菜单功能介绍</a>
					<div>
						  MathType手写面板菜单功能介绍          首先,要在MathType的编辑窗口中打开输入面板,至于打开MathType的方法就不赘述了,可以从Word中打开,也可以直接从桌面或者资源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxBYkb.html" rel="bookmark" class="title">Mysql备份压缩及恢复数据库方法总结</a>
					<div>
						  一般情况我们通过mysqldump来备份MySQL数据库,并上传至其它备份机器.如果数据库比较大,在备份传输的时候可能会慢,所以我们尽量让备份的文件小一些. 在写自动备份脚本时,最好把备份结果直接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLxWeb.html" rel="bookmark" class="title">关于url地址传参数时字符串有回车造成页面脚本赋值失败的解决方法</a>
					<div>
						在通过url地址接受参数的时候,有些参数的值V带有回车' %0A ',这时候在页面脚本显示的时候,把这个值V付给脚本变量,可能会造成脚本的错误. 所以,相应的:一开始在传值的时候对一些字符串进行url ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRE3Yz.html" rel="bookmark" class="title">企业防泄密三大&OpenCurlyDoubleQuote;短板&rdquo;你有吗？</a>
					<div>
						  一只水桶想盛满水,必须每块木板都一样平齐且无破损,如果这只桶的木板中有一块不齐或者某块木板下面有破洞,这只桶就无法盛满水.这个经典的木桶原理就是说一只水桶能盛多少水,并不取决于最长的那块木板,而是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOjmqb.html" rel="bookmark" class="title">Win8系统锁屏壁纸也能随心换</a>
					<div>
						  与Win7或以往版本的Windows系统相比,Win8系统最直观的改变就是界面的变化.开始屏幕.锁屏壁纸,一切都是新的.当然,只要有画面的地方,就可以更换,Win8的这些界面也同样可以根据用户自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl1ALz.html" rel="bookmark" class="title">Python检测QQ在线状态的方法</a>
					<div>
						  这篇文章主要介绍了Python检测QQ在线状态的方法,涉及Python通过第三方平台检测QQ在线状态的技巧,非常简单实用,需要的朋友可以参考下 本文实例讲述了Python检测QQ在线状态的方法.分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNDK0b.html" rel="bookmark" class="title">cookie中的path与domain属性详解</a>
					<div>
						 本篇文章主要是对cookie中的path与domain属性进行了详细的分析介绍,需要的朋友可以过来参考下,希望对大家有所帮助   1.domain表示的是cookie所在的域,默认为请求的地址,如网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKVDrp.html" rel="bookmark" class="title">Win7下搭建FTP服务器实现文件共享</a>
					<div>
						步骤1.控制面板-程序-打开或关闭Windows功能,或者在开始菜单里搜索&quot;打开或&quot;,弹出Windows功能窗口,勾选Internet信息服务下的FTP功能和Web管理工具,以此开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42DG1M.html" rel="bookmark" class="title">xp系统如何自定义搜索卡通的问候语</a>
					<div>
						  具体如下: 1.打开&quot;C:WINDOWSsrchasstmui804&quot;文件夹,可看到其中包含很多以.XML为后缀的文件,包含了卡通搜索助理所能展示给用户的所有&quot;问候语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamZWNb.html" rel="bookmark" class="title">使用Docker和Golang进行便捷的MongoDB测试</a>
					<div>
						本文讲的是使用Docker和Golang进行便捷的MongoDB测试,[编者的话]Docker的使用场景之一就是测试,在测试中,我们有时候会由于超时或者仅仅因为两个开发版本使用相同的数据库在同时运行而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEr6xz.html" rel="bookmark" class="title">构建全渠道零售平台及营销场景解读</a>
					<div>
						阅读原文 1.中国&quot;新零售&quot;发展趋势与机遇 根据阿里研究院与BCG合作的&lt;中国消费新趋势&gt;研究报告显示,在未来5年, &quot;新零售&quot;将激活总共六万亿美元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQJ6Zz.html" rel="bookmark" class="title">Android log保存到sdcard上</a>
					<div>
						问题描述 Android log保存到sdcard上 Android 程序的log都默认保存在了/data/data/&lt;包&gt;/file/log下,不方便我查看:我要怎样才能把log下的所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE61OZM.html" rel="bookmark" class="title">字节跳动-django实现&ast;&ast;&period;zip包下载报错内存使用过大</a>
					<div>
						问题描述 django实现**.zip包下载报错内存使用过大 django实现**.zip包下载报错内存使用过大 各位朋友们好: 我使用django的功能想实现下载一个大的**.zip包的功能,该包大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rr5Az.html" rel="bookmark" class="title">js-html中创建一个天气的页面</a>
					<div>
						问题描述 html中创建一个天气的页面 想从api中获取数据,样式由自己来定 是否能够只使用 html css js样式来完成 解决方案 最简单的框架网页 &lt;iframe marginwidth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rjLwz.html" rel="bookmark" class="title">android-DialogFragment传递参数</a>
					<div>
						问题描述 DialogFragment传递参数 在执行一些动作时需要传递变量到DialogFragment,Eclipse建议我用 Fragment#setArguments(Bundle) 不知道怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd0Gkb.html" rel="bookmark" class="title">html5声频audio和视频video</a>
					<div>
						      html5作为下一代web标准,年前轩起了html5热潮.对于html5我只是本着了解看看.关于html5和RIA(silverlight,flash,JavaFx等)我不想说什么,也没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlqdjp.html" rel="bookmark" class="title">PHP 鸟哥：我也曾经是&OpenCurlyDoubleQuote;不适合&rdquo;编程的人</a>
					<div>
						从一个在网上搜 PHP 教程的初学者,到 PHP 开发组核心成员,惠新宸觉得整个过程就像&quot;打怪升级&quot;.和 Java 一样也被称为蓝领语言的 PHP,在他看来恰恰是能够培养更多编程者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeDxOb.html" rel="bookmark" class="title">&lbrack;流媒体&rsqb;实例解析MMS流媒体协议，下载LiveMediaVideo&lbrack;2&rsqb;</a>
					<div>
						[流媒体]按照MMS协议和MS Media Server交互 下载实时交通录像的包分析[2]   编写者 日期 关键词 郑昀@ultrapower 2005-10-17 mms streaming p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvma55b.html" rel="bookmark" class="title">Top域名登陆国内外顶级注册商平台</a>
					<div>
						域名城(domain.cn)10月29日消息,10月15日top域名进入日升期,据top域名注册局确息,top域名上线日程稳步推进,截止发稿日top域名将陆续登陆国内外多家顶级注册平台. Top域名登 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR1kNb.html" rel="bookmark" class="title">c&num; sql-C&num; 代码明明有获取到数据，为什么还会出现错误&OpenCurlyDoubleQuote;未将对象引用设置到实例&rdquo;</a>
					<div>
						问题描述 C# 代码明明有获取到数据,为什么还会出现错误&quot;未将对象引用设置到实例&quot; public TheCustomCheckDetailObj GetTheCustomCheck ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnWjaM.html" rel="bookmark" class="title">自iPhone 6起 苹果移动芯片不再依赖第三方图形技术</a>
					<div>
						苹果A10处理器 北京时间10月27日消息,据外媒报道,硬件评测网站Real World Technologies高管大卫·坎特(David Kanter)称,经过多年招聘图形技术工程师后,苹果已经逐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAKv5b.html" rel="bookmark" class="title">在java中用Runtime&period;getRuntime&lpar;&rpar;&period;exec&lpar;cmd&rpar;问题</a>
					<div>
						问题描述 在java中用Runtime.getRuntime().exec(cmd)问题 在cmd指定,是持续读取数据时,总是要延迟一段时间后,一下子出现之前的信息后,又要延迟一会,感觉到信息满一定量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLyJDM.html" rel="bookmark" class="title">《MySQL DBA修炼之道》&mdash;&mdash;第2章  MySQL安装部署和入门  2&period;1如何选择MySQL版本</a>
					<div>
						第2章 MySQL安装部署和入门 2.1 如何选择MySQL版本 在选择MySQL的版本时,要根据生产情况来决定,是对现有生产环境中的数据库进行版本升级呢?还是部署新的数据库呢?如果已经在生产环境中部 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
